/**
 * Author: Niels Tsang
 * Date: 2011/07/13
 * 
 * SPOJ 297 - Aggressive cows (Problem code: AGGRCOW)
 * Problem Type: Binary search
 * http://www.spoj.pl/problems/AGGRCOW/
 */

#include <algorithm>
#include <iostream>
using namespace std;

int x[100000];

int main() {
    int t;
    cin >> t;
    while( t-- ) {
        int N, C;
        cin >> N >> C;
        for( int i=0; i<N; ++i ) {
            cin >> x[i];
        }
        sort( x, x+N );
        // Binary Search
        int lower = 0, upper = ( x[N-1] - x[0] ) / ( C - 1 );
        while( lower <= upper ) {
            int mid = ( lower + upper ) / 2;
            int cnt = 0, tmp = x[0];
            for( int i=1; i<N; ++i ) {
                if( x[i] >= tmp + mid ) {
                    tmp = x[i];
                    ++cnt;
                }
            }
            if( cnt >= C - 1 ) {
                lower = mid + 1;
            }
            else {
                upper = mid - 1;
            }
        }
        cout << lower - 1 << endl;
    }
    return( 0 );
}
