/**
 * Author: Niels Tsang
 * Date: 2011/07/13
 * 
 * SPOJ 870 - Basically Speaking (Problem code: BASE)
 * Problem Type: Base number conversion
 * http://www.spoj.pl/problems/BASE/
 */

#include <iostream>
#include <string>
using namespace std;

char toDigit[16] = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F' };

int toDecimal( string value, int radix ) {
    int decimal = 0, digitValue = 1;
    int len = value.length();
    while( len > 0 ) {
        int digit = 0;
        if( '0' <= value[len-1] && value[len-1] <= '9' ) {
            digit = value[len-1] - '0';
        }
        else {
            digit = value[len-1] - 'A' + 10;
        }
        decimal += digit * digitValue;
        digitValue *= radix;
        value = value.substr( 0, len-1 );
        --len;
    }
    return( decimal );
}

string toString( int decimal, int radix ) {
    if( decimal == 0 ) { return( "0" ); }
    string value = "";
    while( decimal > 0 ) {
        value = toDigit[decimal%radix] + value;
        decimal /= radix;
    }
    return( value );
}

int main() {
    string value;
    int baseFrom, baseTo;
    while( cin >> value >> baseFrom >> baseTo ) {
        string output = toString( toDecimal( value, baseFrom ), baseTo );
        if( output.length() > 7 ) {
            cout << "  ERROR" << endl;
        }
        else {
            string dummy = "       ";
            int len = output.length();
            dummy = dummy.substr( 0, 7-len );
            cout << dummy << output << endl;
        }
    }
    return( 0 );
}
