/**
 * Author: Niels Tsang
 * Date: 2011/07/13
 * 
 * SPOJ 346 - Bytelandian gold coins (Problem code: COINS)
 * Problem Type: Recursion with memorization
 * http://www.spoj.pl/problems/COINS/
 */

#include <algorithm>
#include <iostream>
#include <map>
using namespace std;

map<long long, long long> maxDollars;

long long getMaxDollars( long long n ) {
    if( n == 0 ) { return( 0 ); }
    if( maxDollars.find( n ) != maxDollars.end() ) {
        return( maxDollars[n] );
    }
    long long tmp = getMaxDollars( (long long)(n/2) )
                  + getMaxDollars( (long long)(n/3) )
                  + getMaxDollars( (long long)(n/4) );
    maxDollars[n] = max( n, tmp );
    return( maxDollars[n] );
}

int main() {
    long long n;
    while( cin >> n ) {
        cout << getMaxDollars( n ) << endl;
    }
    return( 0 );
}
